ONVIF::Device::Elements::GetDot1XConfigurationResponse(3)

NAME
ONVIF::Device::Elements::GetDot1XConfigurationResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetDot1XConfigurationResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Dot1XConfiguration

     $element->set_Dot1XConfiguration($data);
     $element->get_Dot1XConfiguration();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetDot1XConfigurationResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   Dot1XConfiguration =>  { # ONVIF::Device::Types::Dot1XConfiguration
     Dot1XConfigurationToken => $some_value, # ReferenceToken
     Identity =>  $some_value, # string
     AnonymousID =>  $some_value, # string
     EAPMethod =>  $some_value, # int
     CACertificateID =>  $some_value, # token
     EAPMethodConfiguration =>  { # ONVIF::Device::Types::EAPMethodConfiguration
       TLSConfiguration =>  { # ONVIF::Device::Types::TLSConfiguration
         CertificateID =>  $some_value, # token
       },
       Password =>  $some_value, # string
       Extension =>  { # ONVIF::Device::Types::EapMethodExtension
       },
     },
     Extension =>  { # ONVIF::Device::Types::Dot1XConfigurationExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL